package ezc;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Collection;

import ezc.model.Annuncio;
import ezc.persistence.AnnunciFormatException;
import ezc.persistence.MyAnnunciReader;
import ezc.ui.MainFrame;
import ezc.ui.MyController;

public class Program
{
	public static void main(String[] args) throws FileNotFoundException, IOException, AnnunciFormatException
	{
		MyAnnunciReader annunciReader = new MyAnnunciReader();
		Collection<Annuncio> annunci = annunciReader.read(new FileReader("annunci.txt"));
		MyController controller = new MyController(annunci);
		MainFrame mainFrame = new MainFrame(controller);
		mainFrame.setVisible(true);
	}

}
